Commit 1699a68c authored by Arnaud Blanchard's avatar Arnaud Blanchard
Browse files

Ubuntu install all modules, remove old scripts, update README

parent e2cd9026
......@@ -6,10 +6,13 @@ Tools not directly called by the user.
Install
=======
standard_ubuntu_install.sh
standard_osx_blaar_install.sh
install_common_projects.sh
clone_and_install_blaar_osx.sh
clone_and_install_blaar_ubuntu.sh
These two above will create a blaar directory
clone_standard_modules.sh
Create project
==============
......@@ -18,7 +21,7 @@ Create a project for an IDE
Usage :
-------
./create_project <project_directory> <build_directory> <eclipse|xcode>
./create_project <project_directory> <build_directory> <eclipse|xcode|sublime>
Documentation
=============
......
#!/usr/bin/env bash
# Basic Libraries And Applications for Robotics (BLAAR)
# Copyright ETIS — ENSEA, University of Cergy-Pontoise, CNRS (2011 - 2017)
# Author: Arnaud Blanchard
#
# This software is governed by the CeCILL v2.1 license under French law and abiding by the rules of distribution of free software.
# You can use, modify and/ or redistribute the software under the terms of the CeCILL v2.1 license as circulated by CEA, CNRS and INRIA at the following URL "http://www.cecill.info".
# As a counterpart to the access to the source code and rights to copy, modify and redistribute granted by the license,
# users are provided only with a limited warranty and the software's author, the holder of the economic rights, and the successive licensors have only limited liability.
# In this respect, the user's attention is drawn to the risks associated with loading, using, modifying and/or developing or reproducing the software by the user in light of its specific status of free software,
# that may mean that it is complicated to manipulate, and that also therefore means that it is reserved for developers and experienced professionals having in-depth computer knowledge.
# Users are therefore encouraged to load and test the software's suitability as regards their requirements in conditions enabling the security of their systems and/or data to be ensured  and, more generally, to use and operate it in the same conditions as regards security.
# The fact that you are presently reading this means that you have had knowledge of the CeCILL v2.1 license and that you accept its terms.
#We go in blaar
cd $(dirname $0)/..
source scripts/blaar.sh
developer_tools/clone_standard_modules.sh
#On mac we add coreaudio for sound management
git submodule add https://framagit.org/blaar/coreaudio.git || echo "Fail installing coreaudio (skipped)"
brew install gnuplot --with-qt || brew upgrade gnuplot --with-qt
git submodule add https://framagit.org/blaar/o_gnuplot.git || echo "Fail installing o_gnuplot (skipped)"
#f_fftw : Apply fft on the signal. Need fftw
brew install fftw || brew upgrade fftw
git submodule add https://framagit.org/blaar/o_gnuplot.git || echo "Fail installing o_gnuplot (skipped)"
#sndfile : load any kind of sound file. Required libsndfile
brew install libsndfile || brew upgrade libsndfile
git submodule add https://framagit.org/blaar/sndfile.git || echo "Fail installing sndfile (skipped)"
#f_view_channel : gtk interface to view blc_channels (need gtk3, blgtk basic library for gtk3, will be installed)
#brew install gtk+3 gnome-icon-theme || brew upgrade gtk+3 gnome-icon-theme
#git submodule add https://framagit.org/blibs/blgtk.git blibs/blgtk || echo "Fail dowloading module (skipped)"
#./install.sh blibs/blgtk
#git submodule add https://framagit.org/blaar/f_view_channel.git || echo "Fail dowloading module (skipped)"
./install.sh all
#On mac we add the module Quicktime for cameras
#It has been deprecated on Sierra we do not automatically install it
#git submodule add https://framagit.org/blaar/blQTKit.git
......@@ -34,7 +34,7 @@ hash brew || {
}
echo
# if install fail it may be because it needs upgrade
brew install git cmake doxygen libpng libjpeg gnuplot --with-qt fftw libsndfile || brew upgrade git cmake doxygen libpng libjpeg gnuplot --with-qt fftw libsndfile #note:only git and cmake are really required
brew install git cmake ninja doxygen libpng libjpeg gnuplot --with-qt fftw libsndfile || brew upgrade git cmake ninja doxygen libpng libjpeg gnuplot --with-qt fftw libsndfile #note:only git, cmake and ninja are really required
echo
echo "Download blaar sources"
echo
......
......@@ -17,67 +17,41 @@ set -o errexit #Exit on first error
set -o nounset #Error if a variable is used but nont defined
set -o pipefail #Error if a pipe fail
set_bash_profile_and_refresh(){
echo "We create or update your $HOME/.bashrc redefining env variables 'BLAAR_DIR' and 'PATH'"
{ echo "#Definitions for blaar (http://blaar.org)"
echo "export BLAAR_DIR=$PWD"
echo 'export PATH=$PATH:$BLAAR_DIR/bin:$BLAAR_DIR/scripts'
echo
} >> $HOME/.bashrc
source $HOME/.bashrc
}
echo
echo "Standard blaar install"
echo "======================"
echo "Standard blaar install for Ubuntu"
echo "================================="
echo
echo "Check that there is no conflicting directories"
echo "----------------------------------------------"
echo
[ -d blaar ] && { echo "blaar directory already exist. Remove it or change the current install directory."; exit 1; }
[ -d blaar_build ] && { echo "blaar_build directory already exist. Remove it or change the current install directory."; exit 1; }
echo
echo
echo "Install required packages"
echo "-------------------------"
echo
echo "### Minimum packages:"
echo
sudo apt-get install git g++ cmake ninja-build
echo
echo "### Standards packages: "
echo
sudo apt-get install doxygen libpng12-dev libjpeg-dev #pkg-config libgtk-3-dev|| { echo "### Fail installing doxygen rlwrap, libpng12-dev or libjpeg-dev, libs but they are optional. Continue step by step."; exit 2; } #classical requirement
sudo apt-get install git g++ cmake ninja-build doxygen libpng12-dev libjpeg-dev gnuplot fftw libsndfile-dev libasound2 #Only git g++ cmake ninja-build are really required
echo
echo "Download sources"
echo "----------------"
echo
git clone https://framagit.org/blaar/blaar
echo
cd blaar
echo
developer_tools/clone_ubuntu_projects.sh
developer_tools/clone_standard_modules.sh
echo
echo Clone specific modules
echo
git submodule add https://framagit.org/blaar/asound.git
echo
echo "Install and check each project"
echo "-----------------------------"
echo
./install.sh all
./check_all.sh
echo
if [ "${BLAAR_DIR+set}" ]; then #Test if BLAAR_DIR is defined. "${BLAAR_DIR+set}" means content "set" if exist
if [ ! $BLAAR_DIR = "$PWD" ]; then
#We remove any reference to blaar in bash_profile
sed -i~ -e"s|#Definitions for blaar (http://blaar.org)||" -e"s|BLAAR_DIR=$BLAAR_DIR" -e "s|:$BLAAR_DIR/bin/||" -e "s|:$BLAAR_DIR/scripts||" $HOME/.bashrc
#We remove also any reference to it in env varaibles
export PATH=$(echo $PATH|sed -e "s|:$BLAAR_DIR/bin/||" -e "s|:$BLAAR_DIR/scripts||")
unset $BLAAR_DIR
set_bash_profile_and_refresh
echo "You have a previous installation of blaar in '$BLAAR_DIR'. We have redefined your standard version to '$PWD'"
fi
else
set_bash_profile_and_refresh
fi
echo "**Success installing standard blaar**"
echo "Update your bash profile"
echo
developer_tools/update_bash_profile.sh ~/.bashrc
echo
echo " Success installing standard **blaar**"
echo
}
......
# Basic Libraries And Applications for Robotics (BLAAR)
# Copyright ETIS — ENSEA, University of Cergy-Pontoise, CNRS (2011 - 2017)
# Author: Arnaud Blanchard
#
# This software is governed by the CeCILL v2.1 license under French law and abiding by the rules of distribution of free software.
# You can use, modify and/ or redistribute the software under the terms of the CeCILL v2.1 license as circulated by CEA, CNRS and INRIA at the following URL "http://www.cecill.info".
# As a counterpart to the access to the source code and rights to copy, modify and redistribute granted by the license,
# users are provided only with a limited warranty and the software's author, the holder of the economic rights, and the successive licensors have only limited liability.
# In this respect, the user's attention is drawn to the risks associated with loading, using, modifying and/or developing or reproducing the software by the user in light of its specific status of free software,
# that may mean that it is complicated to manipulate, and that also therefore means that it is reserved for developers and experienced professionals having in-depth computer knowledge.
# Users are therefore encouraged to load and test the software's suitability as regards their requirements in conditions enabling the security of their systems and/or data to be ensured  and, more generally, to use and operate it in the same conditions as regards security.
# The fact that you are presently reading this means that you have had knowledge of the CeCILL v2.1 license and that you accept its terms.
#!/usr/bin/env bash #Use your $PATH to find bash
set -o errexit #Exit on first error
set -o nounset #Error if a variable is used but nont defined
set -o pipefail #Error if a pipe fail
#we go in blaar directory
cd $(dirname $0)/..
developer_tools/clone_standard_modules.sh
mkdir -p blibs
cd blibs
#git submodule add https://framagit.org/blibs/blalsa.git
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment